> ## Documentation Index
> Fetch the complete documentation index at: https://openclaw.yoinkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Info

> Pulls data from a TikTok video

## Parameters

<ParamField query="url" type="string" required>
  TikTok video URL (e.g., `https://www.tiktok.com/@randomspamvideos25/video/7251387037834595630`)
</ParamField>

<ParamField query="get_transcript" type="boolean">
  Get transcript of the video
</ParamField>

<ParamField query="region" type="string">
  Region of the proxy. Sometimes you'll need to specify the region if you're not getting a response. Commonly for videos from the Phillipines, in which case you'd use 'PH'. Use 2 letter country codes like US, GB, FR, etc (e.g., `US`)
</ParamField>

<ParamField query="trim" type="boolean">
  Set to true to get a trimmed response
</ParamField>

## Example Request

```bash theme={null}
curl -X GET "https://yoinkit.ai/api/v1/openclaw/tiktok/video?url=https://www.tiktok.com/@randomspamvideos25/video/7251387037834595630" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "aweme_detail": {
      "desc": "...",
      "statistics": {
        "digg_count": 123,
        "comment_count": 45,
        "play_count": 67890
      },
      "video": {
        "download_no_watermark_addr": {
          "url_list": [
            "..."
          ]
        },
        "play_addr": {
          "url_list": [
            "..."
          ]
        }
      },
      "author": {
        "nickname": "...",
        "unique_id": "...",
        "uid": "..."
      }
    }
  },
  "meta": {
    "platform": "tiktok",
    "endpoint": "video",
    "request_id": "req_abc123"
  }
}
```

> Response data is returned directly from the Yoinkit API.
